Ipelib: ipe::PdfDict Class Reference

Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
ipe::PdfDict Class Reference
Ipe Base

`#include <ipepdfparser.h>`

Inherits ipe::PdfObj.

## Classes
struct | Item

## Public Member Functions
| PdfDict ()
| ~PdfDict ()
virtual const PdfDict * | dict () const
virtual void | write (Stream &stream) const
void | setStream (const Buffer &stream)
void | add (String key, const PdfObj *obj)
const PdfObj * | get (String key, const PdfFile *file) const
int | count () const
String | key (int index) const
Buffer | stream () const
bool | deflated () const
Public Member Functions inherited from ipe::PdfObj
virtual | ~PdfObj ()=0
virtual const PdfNull * | null () const
virtual const PdfBool * | boolean () const
virtual const PdfNumber * | number () const
virtual const PdfString * | string () const
virtual const PdfName * | name () const
virtual const PdfRef * | ref () const
virtual const PdfArray * | array () const
String | repr () const

## Detailed Description

The PDF dictionary and stream objects.

A dictionary may or may not have attached stream data.

## Constructor & Destructor Documentation

ipe::PdfDict::PdfDict | ( |  | ) |
| inlineexplicit

PdfDict::~PdfDict | ( |  | ) |

## Member Function Documentation

const PdfDict * PdfDict::dict | ( |  | ) | const
| virtual

Return this object as PDF dictionary object.

Reimplemented from ipe::PdfObj.

void PdfDict::write | ( | Stream & | stream | ) | const
| virtual

Implements ipe::PdfObj.

void PdfDict::setStream | ( | const Buffer & | stream | ) |

Add stream data to this dictionary.

void PdfDict::add | ( | String | key,
|  | const PdfObj * | obj
| ) |  |

Add a (key, value) pair to the dictionary.

Dictionary takes ownership of obj.

const PdfObj * PdfDict::get | ( | String | key,
|  | const PdfFile * | file
| ) |  | const

Look up key in dictionary.

Indirect objects (references) are looked up if file is not zero, and the object referred to is returned. Returns 0 if key is not in dictionary.

int ipe::PdfDict::count | ( |  | ) | const
| inline

String ipe::PdfDict::key | ( | int | index | ) | const
| inline

Buffer ipe::PdfDict::stream | ( |  | ) | const
| inline

bool PdfDict::deflated | ( |  | ) | const

Is this stream compressed with flate compression?

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp